Subject: Re: [Bug report] git fetch/push fails from sub-directory

From: Frederic Heitzmann <[email-masked]>
Date: Wed, 21 Sep 2011 00:25:13 +0200

Le 20/09/2011 23:59, Junio C Hamano a écrit :
> Frederic Heitzmann<[email-masked]>  writes:
>
>> I found a bug in git fetch, with local repositories.
>
>> cd repo2
>> git fetch ../repo1	# OK
>> cd d
>> git fetch ../../repo1	# failed
>
> It has always been like this.  You can give a full path to the repository
> from the root, or perhaps define a nickname to refer to the remote (see
> "git remote add") and use it instead.

Is it supposed to be normal ?!
I mean : OK I can use git-remote, but this leads to differents results 
for similar usages and similar commands.
Let's compare following cases :

_Case 1:_

|
|_repo1
|   |
|   \_dir
|
\_repo2
     |
     \_dir

cd repo2/dir
git fetch ../../repo1	# FAILURE

_Case 2:_

|
|_repo1
|
\_temp
     |
     \_repo2

cd temp/repo2
git fetch ../../repo1	# SUCCESS

For sure, one can argue that I should better organize my file tree ;-)

--
Fred